package com.eactive.eai.adapter.socket2.common;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

public class FutureMap {
	Map<String, SimpleFuture> map;
	
	public FutureMap() {
		map = Collections.synchronizedMap(new HashMap());
	}
	
	public void put(String key, SimpleFuture future) {
		map.put(key, future);
	}
	
	public SimpleFuture get(String key) {
		return map.remove(key);
	}
}
